List Integrations
curl --request GET \
--url https://api.duvo.ai/v2/teams/{teamId}/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/teams/{teamId}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrations": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"provider": "<string>",
"user_id": "<string>",
"team_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"server_url": "<string>",
"auth_method": "<string>",
"custom_integration_id": "<string>",
"icon_url": "<string>",
"oauth_provider": "<string>",
"oauth_provider_key": "<string>",
"oauth_scopes": [
"<string>"
],
"has_headers": true,
"has_oauth_tokens": true,
"integration_id": "<string>",
"shared": true,
"created_by": "<string>",
"broken_at": "2023-11-07T05:31:56Z",
"broken_reason": "<string>"
}
],
"total": 4503599627370495,
"limit": 4503599627370496,
"offset": 4503599627370495
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Integrations
List Integrations
List the team’s integration catalog: built-in integration types plus any custom connection types defined for the team. OAuth authorization flows are browser-based and cannot be performed via this API; use the Duvo dashboard to complete OAuth-based connections.
GET
/
v2
/
teams
/
{teamId}
/
integrations
List Integrations
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991Was this page helpful?
⌘I